summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBrenton Horne2020-02-11 17:55:05 +1000
committerBrenton Horne2020-02-11 17:55:05 +1000
commit9e8f67bd07f18f897292f9d87ec410d9a1b2c7f7 (patch)
tree50b272d6924e6bda7eb70ef3d1603139c0c48551
downloadaur-9e8f67bd07f18f897292f9d87ec410d9a1b2c7f7.tar.gz
Initial commit
-rw-r--r--.SRCINFO43
-rw-r--r--.gitignore5
-rw-r--r--Makefile.patch19
-rwxr-xr-xPKGBUILD75
-rw-r--r--fetch-engine.patch12
-rwxr-xr-xopenra-raplus19
-rwxr-xr-xopenra-raplus.appdata.xml36
-rwxr-xr-xopenra-raplus.desktop11
-rwxr-xr-xopenra-raplus.install14
9 files changed, 234 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..feef0b9b4ff
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,43 @@
+pkgbase = openra-raplus-git
+ pkgdesc = A Command & Conquer: Red Alert-inspired mod of OpenRA
+ pkgver = 17.git.9e341a0
+ pkgrel = 1
+ url = https://github.com/MlemandPurrs/raplusmod
+ install = openra-raplus.install
+ arch = any
+ license = GPL3
+ makedepends = dos2unix
+ makedepends = git
+ makedepends = unzip
+ makedepends = msbuild
+ depends = mono
+ depends = ttf-dejavu
+ depends = openal
+ depends = libgl
+ depends = freetype2
+ depends = sdl2
+ depends = lua51
+ depends = hicolor-icon-theme
+ depends = gtk-update-icon-cache
+ depends = desktop-file-utils
+ depends = xdg-utils
+ depends = zenity
+ provides = openra-raplus
+ options = !strip
+ source = git+https://github.com/MlemandPurrs/raplusmod.git
+ source = local://GeoLite2-Country.mmdb.gz
+ source = openra-raplus
+ source = fetch-engine.patch
+ source = Makefile.patch
+ source = openra-raplus.appdata.xml
+ source = openra-raplus.desktop
+ md5sums = SKIP
+ md5sums = efb8c043dfa095146f373fec367aef64
+ md5sums = d48259a154b7a72b2377ac1a632ec1d3
+ md5sums = 711019044fbb1c1e3aa5edc58b54343d
+ md5sums = feae017ba5765215cd151a892362e6b1
+ md5sums = e79c9aebc225384175810be58d9f9ddf
+ md5sums = 9400d5c8bea3196e9af96f6aa5c2f879
+
+pkgname = openra-raplus-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..c84a23b83a3
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+*.xz
+raplusmod
+pkg
+src
+*.gz
diff --git a/Makefile.patch b/Makefile.patch
new file mode 100644
index 00000000000..8a126fdbd5d
--- /dev/null
+++ b/Makefile.patch
@@ -0,0 +1,19 @@
+--- Makefile 2020-02-11 10:18:32.479087754 +1000
++++ Makefile 2020-02-11 10:19:53.128498490 +1000
+@@ -314,8 +314,7 @@
+ @ $(CP_R) thirdparty/download/osx/*.dll.config .
+
+ geoip-dependencies:
+- @./thirdparty/fetch-geoip-db.sh
+- @ $(CP) thirdparty/download/GeoLite2-Country.mmdb.gz .
++ @$(CP) ../../GeoLite2-Country.mmdb.gz .
+
+ dependencies: $(os-dependencies)
+
+@@ -512,4 +511,4 @@
+
+ .SUFFIXES:
+
+-.PHONY: core package all mods clean distclean dependencies version $(PROGRAMS) nunit
++.PHONY: core package all mods clean distclean dependencies version $(PROGRAMS) nunit
+\ No newline at end of file
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..0b9eea0da2d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,75 @@
+# Maintainer: Brenton Horne <brentonhorne77@gmail.com>
+
+pkgname=openra-raplus-git
+_pkgname=openra-raplus
+pkgver=17.git.9e341a0
+pkgrel=1
+pkgdesc="A Command & Conquer: Red Alert-inspired mod of OpenRA"
+arch=('any')
+url="https://github.com/MlemandPurrs/raplusmod"
+license=('GPL3')
+install=openra-raplus.install
+depends=('mono' 'ttf-dejavu' 'openal' 'libgl' 'freetype2' 'sdl2' 'lua51' 'hicolor-icon-theme' 'gtk-update-icon-cache'
+ 'desktop-file-utils' 'xdg-utils' 'zenity')
+makedepends=('dos2unix' 'git' 'unzip' 'msbuild')
+provides=('openra-raplus')
+options=(!strip)
+source=("git+${url}.git"
+"local://GeoLite2-Country.mmdb.gz"
+"openra-raplus"
+"fetch-engine.patch"
+"Makefile.patch"
+"openra-raplus.appdata.xml"
+"openra-raplus.desktop")
+md5sums=('SKIP'
+ 'efb8c043dfa095146f373fec367aef64'
+ 'd48259a154b7a72b2377ac1a632ec1d3'
+ '711019044fbb1c1e3aa5edc58b54343d'
+ 'feae017ba5765215cd151a892362e6b1'
+ 'e79c9aebc225384175810be58d9f9ddf'
+ '9400d5c8bea3196e9af96f6aa5c2f879')
+
+pkgver() {
+ cd $srcdir/raplusmod
+ no=$(git rev-list --count HEAD)
+ hash=$(git log | head -n 1 | cut -d ' ' -f 2 | head -c 7)
+ printf "${no}.git.${hash}"
+}
+
+prepare() {
+ cd $srcdir/raplusmod
+ dos2unix *.md
+ find . -name "*.sh" -exec chmod +x {} \;
+ patch -Np1 -i $srcdir/fetch-engine.patch
+ printf "Success in converting docs...\n"
+}
+
+build() {
+ cd $srcdir/raplusmod
+ make version VERSION="${pkgver}"
+ printf "Success in setting version\n"
+ make || (printf "make failed; please do not complain at the AUR about this, as this is an upstream issue.\n" && \
+ printf "So report this at https://github.com/MustaphaTR/raplusmod/issues/new, after checking\n" && \
+ printf "for existing issues.\n")
+}
+
+package() {
+ cd $srcdir/raplusmod
+ mkdir -p $pkgdir/usr/{lib/openra-raplus/mods,bin,share/pixmaps,share/doc/packages/openra-raplus,share/applications,share/appdata}
+ install -dm775 $pkgdir/var/games/openra-raplus
+ cp -r engine/* $pkgdir/usr/lib/openra-raplus
+ cp -r mods/raplus $pkgdir/usr/lib/openra-raplus/mods
+ cp -r engine/mods/{ra,common,modcontent} $pkgdir/usr/lib/openra-raplus/mods
+ install -Dm755 $srcdir/openra-raplus $pkgdir/usr/bin/openra-raplus
+ cp -r $srcdir/openra-raplus.appdata.xml $pkgdir/usr/share/appdata/openra-raplus.appdata.xml
+ cp -r README.md $pkgdir/usr/share/doc/packages/openra-raplus/README.md
+ cp -r mods/raplus/icon.png $pkgdir/usr/share/pixmaps/openra-raplus.png
+ install -Dm644 $srcdir/openra-raplus.desktop $pkgdir/usr/share/applications/openra-raplus.desktop
+ mkdir -p $pkgdir/usr/share/icons/hicolor/{16x16,32x32,48x48,64x64,128x128,256x256}/apps
+ for size in 16 32 48 64 128 256; do
+ size="${size}x${size}"
+ cp packaging/linux/mod_${size}.png "$pkgdir/usr/share/icons/hicolor/${size}/apps/${pkgname}.png"
+ done
+ rm -rf $pkgdir/usr/lib/openra-raplus/*{.txt,nunit,.yml,.xslt,.cmd,.md,Mono,.sh,Makefile,sln.*,Test,.mdb,.pdb,.ps1,.AS,packaging,thirdparty,engines,OpenRA.Mods}*
+ rm -rf $pkgdir/usr/lib/openra-raplus/{mods/{all,cnc,d2k,ra,ts},OpenRA.Mods.*,OpenRA.Platforms.Default,OpenRA.Server,OpenRA.Game,OpenRA.Utility,Settings.StyleCop}
+}
diff --git a/fetch-engine.patch b/fetch-engine.patch
new file mode 100644
index 00000000000..4f192bc82c4
--- /dev/null
+++ b/fetch-engine.patch
@@ -0,0 +1,12 @@
+diff --git a/fetch-engine.sh b/fetch-engine.sh
+index 1eab9b4..b4dfc0e 100755
+--- a/fetch-engine.sh
++++ b/fetch-engine.sh
+@@ -72,6 +72,7 @@ if [ "${AUTOMATIC_ENGINE_MANAGEMENT}" = "True" ]; then
+
+ echo "Compiling engine..."
+ cd "${ENGINE_DIRECTORY}" || exit 1
++ patch Makefile < ../../Makefile.patch
+ make version VERSION="${ENGINE_VERSION}"
+ exit 0
+ fi \ No newline at end of file
diff --git a/openra-raplus b/openra-raplus
new file mode 100755
index 00000000000..3959743c66d
--- /dev/null
+++ b/openra-raplus
@@ -0,0 +1,19 @@
+#!/bin/sh
+cd "/usr/lib/openra-raplus"
+
+# Run the game
+mono --debug OpenRA.Game.exe Game.Mod=raplus Engine.LaunchPath="/usr/bin/openra-raplus" "Engine.ModSearchPaths=/usr/lib/openra-raplus/mods" "$@"
+
+# Show a crash dialog if something went wrong
+if [ $? != 0 ] && [ $? != 1 ]; then
+ ERROR_MESSAGE="OpenRA Red Alert Plus has encountered a fatal error.\nPlease refer to the crash logs and FAQ for more information.\n\nLog files are located in ~/.openra/Logs\nThe FAQ is available at http://wiki.openra.net/FAQ"
+ if command -v zenity > /dev/null; then
+ zenity --no-wrap --error --title "OpenRA Red Alert Plus" --text "${ERROR_MESSAGE}" 2> /dev/null
+ elif command -v kdialog > /dev/null; then
+ kdialog --title "OpenRA Red Alert Plus" --error "${ERROR_MESSAGE}"
+ else
+ printf "${ERROR_MESSAGE}\n"
+ fi
+ exit 1
+fi
+
diff --git a/openra-raplus.appdata.xml b/openra-raplus.appdata.xml
new file mode 100755
index 00000000000..2fa45782c4c
--- /dev/null
+++ b/openra-raplus.appdata.xml
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<component type="desktop">
+ <id>openra-raplus.desktop</id>
+ <metadata_license>CC0-1.0</metadata_license>
+ <project_license>GPL-3.0</project_license>
+ <name>OpenRA - Red Alert Plus</name>
+ <summary>An improved open-source remake of the original Red Alert game</summary>
+ <description>
+ <p>
+ OpenRA Red Alert Plus is a project that recreates and modernizes the Red Alert real time strategy game, using the open-source OpenRA game engine.
+ </p>
+ </description>
+ <url type="homepage">https://github.com/MlemandPurrs/raplusmod</url>
+ <content_rating type="oars-1.0">
+ <content_attribute id="violence-cartoon">none</content_attribute>
+ <content_attribute id="violence-fantasy">none</content_attribute>
+ <content_attribute id="violence-realistic">moderate</content_attribute>
+ <content_attribute id="violence-bloodshed">moderate</content_attribute>
+ <content_attribute id="violence-sexual">none</content_attribute>
+ <content_attribute id="drugs-alcohol">none</content_attribute>
+ <content_attribute id="drugs-narcotics">none</content_attribute>
+ <content_attribute id="drugs-tobacco">none</content_attribute>
+ <content_attribute id="sex-nudity">none</content_attribute>
+ <content_attribute id="sex-themes">none</content_attribute>
+ <content_attribute id="language-profanity">mild</content_attribute>
+ <content_attribute id="language-humor">mild</content_attribute>
+ <content_attribute id="language-discrimination">none</content_attribute>
+ <content_attribute id="social-chat">intense</content_attribute>
+ <content_attribute id="social-info">none</content_attribute>
+ <content_attribute id="social-audio">none</content_attribute>
+ <content_attribute id="social-location">none</content_attribute>
+ <content_attribute id="social-contacts">none</content_attribute>
+ <content_attribute id="money-purchasing">none</content_attribute>
+ <content_attribute id="money-gambling">none</content_attribute>
+ </content_rating>
+</component>
diff --git a/openra-raplus.desktop b/openra-raplus.desktop
new file mode 100755
index 00000000000..fb3bffe9907
--- /dev/null
+++ b/openra-raplus.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Type=Application
+Version=1.0
+Name=OpenRA - Red Alert Plus
+GenericName=Real Time Strategy Game
+GenericName[de]=Echtzeit-Strategiespiel
+Comment=Reimagining of the Red Alert 2 game
+Icon=openra-raplus
+Exec=openra-raplus
+Terminal=false
+Categories=Game;StrategyGame;X-RTS;X-RealTimeStrategy;X-RealTimeStrategyGame;
diff --git a/openra-raplus.install b/openra-raplus.install
new file mode 100755
index 00000000000..1028d2b6a1e
--- /dev/null
+++ b/openra-raplus.install
@@ -0,0 +1,14 @@
+post_upgrade() {
+ update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_install() {
+ echo "You will need the original game assets to play this game, see https://github.com/OpenRA/ra2/wiki for details."
+ echo "Beware you will need the expansion game assets, which are only in C&C: Ultimate Edition."
+ post_upgrade
+}
+
+post_remove() {
+ post_upgrade
+}